Subject: Re: Cygwin gdb-5.0 h8300 sim needs wait.h
From: Andrew Cagney <[email-masked]>
To: [email-masked]
Cc: Benjamin Riefenstahl <[email-masked]>, [email-masked], [email-masked]
Date: Fri, 27 Oct 2000 23:33:42 +1100

[email-masked] wrote:
> 
> Benny:
> 
> > My docs say that wait() should be declared in <sys/wait.h>.  On my
> > machine Cygwin has that header and it does indeed declare wait().
> 
> Doh.
> 
> My linux box has a /usr/include/wait.h that just includes
> sys/wait.h. When I failed to find /usr/include/wait.h on my cygwin
> box, I looked no further.
> 
> Indeed, there *is* a /usr/include/sys/wait.h in cygwin.  For some
> reason, though, there is no /usr/include/wait.h, and that's what gdb
> wants.  I created one, and now I'm building again.
> 
> Who is right, do you think?  Should gdb really be #including
> <sys/wait.h>, or should cygwin offer a /usr/include/wait.h?

Cygwin is more correct than GDB.  The last thing cygwin needs is a
<wait.h> :-)

That file should try to include <sys/wait.h> and then <wait.h>.  To see
how to fix it have a look at the src/gdb and now gdb_wait.h is setup.

	Andrew

--
Want to unsubscribe from this list?
Send a message to [email-masked]